#include <SPI.h>
#include <SD.h>

File root;

void setup() {
  Serial.begin(115200);
  Serial.print("** Initializing SD card...");

  if (!SD.begin(15)) {      // SD 라이브러리 초기화
    Serial.println(" Initialization failed!");    // 초기화 실패
    return;
  }
  Serial.println(" Initialization done.");    // 초기화 성공

  root = SD.open("/");        // 루트 디렉터리 열기

  Serial.println("** Directory & Files...");
  printDirectory(root, 0);        // SD 카드 내 파일 목록 출력
}

void loop() { }

void printDirectory(File dir, int numTabs) {
  while (true) {
    File entry = dir.openNextFile();    // 디렉터리 내 다음 파일 열기
    if (!entry) {         // 더 이상 파일이 존재하지 않음
      break;
    }

    // 파일 이름 출력 전 디렉터리 깊이에 따른 탭 출력
    for (int i = 0; i < numTabs; i++) {
      Serial.print('\t');
    }
    String fileName = entry.name();   // 파일 이름
    Serial.print(fileName);

    if (entry.isDirectory()) {    // 디렉터리인 경우
      Serial.println("/");
      printDirectory(entry, numTabs + 1);   // 재귀 호출
    }
    else {
      // 파일 이름 길이를 통일시키기 위해 공백 출력
      for (int i = 0; i < 12 - fileName.length(); i++) {
        Serial.print(' ');
      }
      for (int i = 2; i > numTabs; i--) {   // 파일 크기 출력 전 공백 출력
        Serial.print("\t");
      }
      Serial.println(entry.size(), DEC);    // 파일 크기 출력
    }
    // openNextFile 함수로 연 파일을 닫음
    entry.close();
  }
}
