void setup(void) {
  Serial.begin(115200);

  uint32_t realSize = ESP.getFlashChipRealSize(); // 하드웨어적 크기
  uint32_t ideSize = ESP.getFlashChipSize();  // 소프트웨어적 크기
  uint32_t flashSpeed = ESP.getFlashChipSpeed();  // 플래시 메모리 동작 속도
  FlashMode_t ideMode = ESP.getFlashChipMode(); // 동작 모드

  String flashMode;
  switch (ideMode) {
    case FM_QIO:
      flashMode = "QIO";
      break;
    case FM_QOUT:
      flashMode = "QOUT";
      break;
    case FM_DIO:
      flashMode = "DIO";
      break;
    case FM_DOUT:
      flashMode = "DOUT";
      break;
    default:
      flashMode = "Unknown";
      break;
  }

  Serial.printf("Flash real size: %u\n", realSize);
  Serial.printf("Flash ide  size: %u\n", ideSize);
  Serial.printf("Flash ide speed: %u\n", flashSpeed);
  Serial.println("Flash ide mode: " + flashMode);
}

void loop() {
}
