#include "FS.h"
File f;                  // 파일 객체

void create_file(String file_name) {
  f = SPIFFS.open(file_name, "w");      // 파일이 없는 경우 생성됨
  if (f) {
    Serial.println(" -> " + file_name);
    f.close();
  }
  else {
    Serial.println("** File creation error...");
  }
}

void setup() {
  Serial.begin(115200);

  SPIFFS.begin();         // 파일 시스템 시작

  Serial.println("* File creation...");   // 파일 생성
  create_file("/A.txt");
  create_file("/B.txt");
  create_file("/C.txt");

  Serial.println("\n* File listing...");
  // 파일 리스팅을 위해 루트 디렉터리에 대한 객체 생성
  Dir dir = SPIFFS.openDir("");
  while (dir.next()) {        // 다음 파일
    Serial.print(dir.fileName());     // 파일 이름 출력
    Serial.println(String("\t") + dir.fileSize());  // 파일 크기 출력
  }

  SPIFFS.end();         // 파일 시스템 종료
}

void loop() {
}
