#include <EEPROM.h>

void setup() {
  Serial.begin(115200);
  EEPROM.begin(512);      // EEPROM 에뮬레이션 시작

  char data[] = "192.168.0.1";    // EEPROM에 기록할 내용

  EEPROM_writeString(0, data);    // EEPROM에 문자열 기록

  String readData;
  readData = EEPROM_readString(0);  // EEPROM에서 문자열 읽기
  Serial.println(readData);

  EEPROM.end();       // EEPROM 에뮬레이션 종료
}

void EEPROM_writeString(int address, char *data) {
  int pos;
  for(pos = 0; pos < strlen(data); pos++){  // 바이트 단위 기록
    EEPROM.write(address + pos, data[pos]);
  }
  EEPROM.write(address + pos, 0); // 문자열 종료 표시 기록
}

String EEPROM_readString(int address) {
  String readData = "";

  for(int pos = 0; ; pos++){
    // 문자열 기반이므로 문자형으로 읽음
    char data = EEPROM.read(address + pos);
    if(data == 0) break;      // 문자열 종료 문자 발견
    readData += data;
  }

  return readData;
}

void loop() {
}
