#include <Wire.h>
#define SLAVE    4   // 슬레이브 주소

int LED_pin = 13;     // LED 연결 핀

void setup() {
  // 슬레이브 모드로 Wire 라이브러리 초기화
  Wire.begin(SLAVE);
  // 마스터로부터 데이터가 전송된 경우 처리할 함수 등록
  Wire.onReceive(receiveFromMaster);

  pinMode(LED_pin, OUTPUT);   // LED 연결 핀을 출력으로 설정
  digitalWrite(LED_pin, LOW);   // 꺼진 상태에서 시작
}

void loop () {
}

// 수신된 데이터 바이트 수를 매개변수로 가짐
void receiveFromMaster(int bytes) {
  char ch = Wire.read();      // 수신 버퍼 읽기

  if (ch == 1) {
    digitalWrite(LED_pin, HIGH);    // LED 켜기
  }
  else if (ch == 0) {
    digitalWrite(LED_pin, LOW);   // LED 끄기
  }
}
