#include <SPI.h>

int SLAVE_SELECT = 15;      // 슬레이브 선택
byte data = 0;        // 슬레이브로 전송할 데이터

void setup() {
  pinMode(SLAVE_SELECT, OUTPUT);  // SS 핀을 출력으로 설정
  digitalWrite(SLAVE_SELECT, HIGH); // 슬레이브가 선택되지 않은 상태로 설정

  SPI.begin();        // SPI 통신 초기화

  // SPI 통신 설정
  // 1. SPI 버스 속도 : 1 MHz
  // 2. 데이터 전송 방법 : MSB 우선 (MSBFIRST)
  // 3. 데이터 모드 : SPI MODE 0
  SPI.beginTransaction(SPISettings(1000000, MSBFIRST, SPI_MODE0));

  // 아래와 같이 개별적으로도 설정 가능하다.
  // 데이터 모드의 경우 디폴트값이 아두이노의 경우와 동일하므로 생략 가능하다.
  // SPI.setFrequency(4000000);
  // SPI.setBitOrder(MSBFIRST);
  // SPI.setDataMode(SPI_MODE0);
}

void loop() {
  digitalWrite(SLAVE_SELECT, LOW);  // 슬레이브 선택
  data = (data + 1) % 2;      // 0과 1로 반복
  SPI.transfer(data + '0');     // 데이터 전송
  digitalWrite(SLAVE_SELECT, HIGH); // 슬레이브 선택 해제

  delay(1000);        // 1초에 한 번 전송
}
