#include <SPI.h>
int LED_pin = 7;        // LED 연결 핀

void setup (void) {
  // SPI 통신을 위한 핀들의 입출력 설정
  pinMode(MISO, OUTPUT);
  pinMode(MOSI, INPUT);
  pinMode(SCK, INPUT);
  pinMode(SS, INPUT);

  SPCR |= _BV (SPE);      // SPI 통신 활성화
  SPCR &= ~_BV(MSTR);     // 슬레이브 모드 선택
  SPCR |= bit (SPIE);     // 인터럽트 허용

  pinMode(LED_pin, OUTPUT);   // LED 연결 핀 출력 모드로 설정
  digitalWrite(LED_pin, LOW);   // LED는 꺼진 상태에서 시작
}

// SPI 통신으로 데이터가 수신될 때 발생하는 인터럽트 처리 루틴
ISR (SPI_STC_vect) {
  byte ch = SPDR;     // 수신된 문자 단위 데이터

  if(ch == '0'){
    digitalWrite(LED_pin, LOW);   // LED 켜기
  }
  else if(ch == '1'){
    digitalWrite(LED_pin, HIGH);    // LED 끄기
  }
}

void loop (void) {
}
