#include <ESP8266WiFi.h>

void setup() {
  Serial.begin(115200);

  WiFi.mode(WIFI_STA);      //  스테이션 모드
  WiFi.disconnect();      // 기존 연결 종료

  Serial.println("Ready to scan...");
}

void loop() {
  Serial.println("Scanning start...");

  int n = WiFi.scanNetworks();    // 연결 가능한 AP 개수 반환
  Serial.println("Scaning completed...");

  if (n == 0) {       // AP가 발견되지 않은 경우
    Serial.println("AP is NOT found...");
  }
  else {
    Serial.print(n);
    Serial.println(" APs are found...");

    for (int i = 0; i < n; i++) {
      Serial.print(i + 1);
      Serial.print(" : ");
      Serial.print(WiFi.SSID(i));   // AP의 SSID
      Serial.print(" (");
      Serial.print(WiFi.RSSI(i));   // AP의 RSSI
      Serial.println(")");
    }
  }

  delay(5000);        // 5초 마다 반복해서 스캔
}
