#include <ESP8266WiFi.h>

char *ssid = "your_AP_name";
char *password = "password_to_your_AP";

void setup() {
  Serial.begin(115200);

  WiFi.mode(WIFI_STA);      // 스테이션 모드
  WiFi.disconnect();      // 기존 연결 종료

  Serial.print("Connecting to \'");
  Serial.print(ssid);
  Serial.println("\'");

  WiFi.begin(ssid, password);   // AP에 접속

  // AP에 접속이 될 때까지 대기
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.println("WiFi connected.");
}

void loop() {
  WiFiClient httpClient;      // 와이파이 클라이언트

  char *host = "ee.deu.ac.kr";    // 웹 서버 주소
  char *url = "/index.php";   // 웹 서버의 페이지
  int port = 80;

  if (!httpClient.connect(host, port)) { // 웹 서버 접속 시도
    Serial.println("[WiFi] connection failed...");
    return;
  }

  Serial.println("[WiFi] request from the client was handled...");
  // HTTP의 GET 메시지를 사용하여 웹 페이지 요청
  httpClient.print(String("GET ") + url + " HTTP/1.1\r\n" +
                   "Host: " + host + "\r\n" +
                   "Connection: close\r\n\r\n");

  unsigned long timeout = millis();
  while (httpClient.available() == 0) { // 서버로부터 데이터 수신 대기
    if (millis() - timeout > 5000) {
      Serial.println(">>> Client Timeout !");
      httpClient.stop();      // 와이파이 클라이언트 중지
      return;
    }
  }

  // 웹 서버로부터 수신된 데이터를 줄 단위로 출력
  while (httpClient.available()) {
    String line = httpClient.readStringUntil('\r');
    Serial.print(line);
  }

  httpClient.stop();      // 와이파이 클라이언트 중지
  delay(5000);
}
