#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>

char *ssid = "your_AP_name";
char *password = "password_to_your_AP";

void setup() {
  Serial.begin(115200);

  WiFi.mode(WIFI_STA);      // 스테이션 모드
  WiFi.disconnect();      // 기존 연결 종료

  Serial.print("Connecting to \'");
  Serial.print(ssid);
  Serial.println("\'");

  WiFi.begin(ssid, password);   // AP에 접속

  // AP에 접속이 될 때까지 대기
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.println("WiFi connected.");
}

void loop() {
  HTTPClient httpClient;      // HTTP 클라이언트

  // 웹 서버 접속 시도
  httpClient.begin("http://ee.deu.ac.kr/index.php");
  int httpCode = httpClient.GET();    // 웹 서버 응답

  // 접속에 오류가 발생하면 음의 값을 반환함
  if (httpCode > 0) {
    Serial.printf("[HTTP] request from the client was handled : %d\n", httpCode);

    if (httpCode == HTTP_CODE_OK) { // 웹 페이지 데이터 읽기
      String payload = httpClient.getString();
      Serial.println(payload);
    }
  } else {
    Serial.printf("[HTTP] connection failed : %s\n",
                  httpClient.errorToString(httpCode).c_str());
  }

  httpClient.end();     // HTTP 클라이언트 중지

  delay(5000);
}
