#include "DHT.h"
#define DHTPIN    2   // DHT22 센서 연결 핀
#define DHTTYPE   DHT22   // 센서의 종류

DHT dht(DHTPIN, DHTTYPE);   // 전역 객체 생성

void setup() {
  Serial.begin(115200);

  dht.begin();        // 센서 초기화
}

void loop() {
  delay(2000);

  float h = dht.readHumidity();
  float t = dht.readTemperature();

  if (isnan(h) || isnan(t)) {   // 센서값 검사
    Serial.println("** Error in reading DHT sensor!");
    return;
  }

  Serial.print("Humidity    : ");
  Serial.print(h);
  Serial.println(" %");
  Serial.print("Temperature : ");
  Serial.print(t);
  Serial.println(" C");
  Serial.println();
}
