#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

char *ssid = "your_AP_name";
char *password = "password_to_your_AP";

int LED_pin = 4;        // LED 연결 핀

ESP8266WebServer server(80);    // 웹 서버 객체

void handleON() {     // LED ON 페이지
  server.send(200, "text/plain", "Turned ON !!");
  Serial.println("LED was turned ON !!");
  digitalWrite(LED_pin, HIGH);
}

void handleOFF() {      // LED OFF 페이지
  server.send(200, "text/plain", "Turned OFF !!");
  Serial.println("LED was turned OFF !!");
  digitalWrite(LED_pin, LOW);
}

void setup(void) {
  Serial.begin(115200);

  Serial.print("Connecting to \'");
  Serial.print(ssid);
  Serial.println("\'");

  WiFi.begin(ssid, password);   // AP에 접속

  // AP에 접속이 될 때까지 대기
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.println("WiFi connected.");

  Serial.print("Server IP address: ");
  Serial.println(WiFi.localIP());   // 서버에 할당된 주소

  // LED ON & OFF에 대한 처리 함수 등록
  server.on("/on", handleON);
  server.on("/off", handleOFF);

  server.begin();       // 웹 서버 시작
  Serial.println("HTTP server started");

  pinMode(LED_pin, OUTPUT);
  digitalWrite(LED_pin, LOW);     // LED를 끈 상태로 시작
}

void loop(void) {
  server.handleClient();      // 클라이언트 요청 처리
}
